: Get gender prediction for name(s)

API: genderize.io:genderize.io-api
Endpoint: /
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 773ms

Description

Predict the gender of a first name. Supports single name lookup, batch requests (up to 10 names), and country-specific localization using ISO 3166-1 alpha-2 codes.

Parameters (4)

apikey (string, query, optional)

API key for higher rate limits. Free tier allows 100 requests/day without key.

country_id (string, query, optional)

ISO 3166-1 alpha-2 country code to localize the prediction (e.g., 'US', 'GB', 'DE')

Constraints: {'pattern': '^[A-Z]{2}$'}

name (string, query, optional)

First name to predict gender for. Use 'name[]' for batch requests (up to 10 names).

name[] (array, query, optional)

For batch requests, specify multiple names using name[] parameter. Maximum 10 names per request.

Examples (2)

Get gender prediction for name(s) openapi-spec
curl 'https://api.genderize.io/?name=peter&name%5B%5D=%5B%27peter%27%2C+%27sarah%27%2C+%27alex%27%5D&country_id=US'
import requests

resp = requests.get(
    "https://api.genderize.io/",
    params={
        'name': 'peter',
        'name[]': "['peter', 'sarah', 'alex']",
        'country_id': 'US',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("genderize.io")
result = api.fetch("", name="peter", name[]="['peter', 'sarah', 'alex']", country_id="US")

for item in result:
    print(item)
const resp = await fetch("https://api.genderize.io/?name=peter&name%5B%5D=%5B%27peter%27%2C+%27sarah%27%2C+%27alex%27%5D&country_id=US");
const data = await resp.json();
Get gender prediction for name(s) probe-gate
curl 'https://api.genderize.io/?name=peter&name%5B%5D=%5B%27peter%27%2C+%27sarah%27%2C+%27alex%27%5D&country_id=US'
import requests

resp = requests.get(
    "https://api.genderize.io/",
    params={
        'name': 'peter',
        'name[]': "['peter', 'sarah', 'alex']",
        'country_id': 'US',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("genderize.io")
result = api.fetch("", name="peter", name[]="['peter', 'sarah', 'alex']", country_id="US")

for item in result:
    print(item)
const resp = await fetch("https://api.genderize.io/?name=peter&name%5B%5D=%5B%27peter%27%2C+%27sarah%27%2C+%27alex%27%5D&country_id=US");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:06:28.544368 200 773ms
2026-04-16 16:56:22.398485 200 562ms
2026-04-16 02:41:04.617361 200 589ms
2026-04-16 01:04:05.651983 200 588ms
2026-04-15 03:21:13.061885 200 588ms
2026-04-15 00:57:37.481641 200 1266ms
2026-04-14 01:52:45.986497 200 756ms
2026-04-14 00:11:57.185090 200 602ms
2026-04-12 13:58:47.098167 200 625ms
2026-04-12 12:39:21.314821 200 727ms
2026-04-10 06:50:54.775933 200 466ms
2026-04-10 04:14:26.286234 200 476ms
2026-04-09 03:17:14.575719 200 585ms
2026-04-09 01:02:41.220780 200 816ms
2026-04-03T10:36:02.769149 200 651ms